<?php

if (version_compare(phpversion(), '5', '<') === true)
{
	exit('phpFox 2.x requires PHP 5 or newer.');
}

define('PHPFOX', true);
define('PHPFOX_DS', DIRECTORY_SEPARATOR);
define('PHPFOX_DIR', dirname(__FILE__) . PHPFOX_DS);
require (PHPFOX_DIR . 'include' . PHPFOX_DS . 'init.inc.php');
require (PHPFOX_DIR . 'include' . PHPFOX_DS . 'setting' . PHPFOX_DS . 'server.sett.php');

$db = new Phpfox_Database_Driver_Mysql;
if(!$db -> connect($_CONF['db']['host'], $_CONF['db']['user'], $_CONF['db']['pass'],$_CONF['db']['name']))
{
   echo 'connect error';
   exit;
}

$table = Phpfox::getT('chat_settings');
$select = "SELECT 'server_mode' FROM " . $table . " WHERE id = '1'";
if ($db -> query($select))
{
	echo 'You have installed this module.';
	exit;
}

$create = 'CREATE TABLE IF NOT EXISTS ' . $table . ' (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server_mode` tinyint(1) NOT NULL,
  `server_host` varchar(255) COLLATE utf8_bin NOT NULL,
  `server_port` int(11) NOT NULL,
  `server_http_port` int(11) NOT NULL,
  `client_location` varchar(255) COLLATE utf8_bin NOT NULL,
  `room_name` varchar(255) COLLATE utf8_bin NOT NULL,
  `chat_status` tinyint(1) NOT NULL,
  `room_list` tinyint(1) NOT NULL,
  `user_list` tinyint(1) NOT NULL,
  `client_mode` tinyint(1) NOT NULL,
  `present_mode` tinyint(1) NOT NULL,
  `full_screen` tinyint(1) NOT NULL,
  `language` varchar(10) COLLATE utf8_bin NOT NULL,
  `skin` varchar(10) COLLATE utf8_bin NOT NULL,
  `client_flash_width` int(11) NOT NULL,
  `client_flash_height` int(11) NOT NULL,
  `client_html_width` int(11) NOT NULL,
  `client_html_height` int(11) NOT NULL,
  `client_avatar_width` int(11) NOT NULL,
  `client_avatar_height` int(11) NOT NULL,
  PRIMARY KEY (`id`)
);';
if (!$db -> query ($create))
{
	echo 'Create chat settings table failure.';
	exit;
}

$insert = "INSERT INTO " . $table . " (`id`, `server_mode`, `server_host`, `server_port`, `server_http_port`, `client_location`, `room_name`, `chat_status`, `room_list`, `user_list`, `client_mode`, `present_mode`, `full_screen`, `language`, `skin`, `client_flash_width`, `client_flash_height`, `client_html_width`, `client_html_height`, `client_avatar_width`, `client_avatar_height`) VALUES
(1, 2, '127.0.0.1', 51127, 35555, '', '', 1, 1, 1, 0, 1, 0, '*', 'default', 779, 505, 634, 476, 800, 600);";
if (!$db -> query ($insert))
{
	echo 'Add chat settings failure.';
	exit;
}

$table = Phpfox::getT('product');
$insert = "INSERT INTO " . $table . " (`product_id`, `is_core`, `title`, `description`, `version`, `is_active`, `url`, `url_version_check`) VALUES ('phpfox_123flashchat', 0, 'phpfox mod for 123flashchat', 'This product installs a 123flashchat mod for you.', '1.0', 1, 'http://www.123flashchat.com', NULL);";
if (!$db -> query($insert))
{
	echo 'Create product failure.';
	exit;
}

$table = Phpfox::getT('module');
$insert = "INSERT INTO " . $table . " (`module_id`, `product_id`, `is_core`, `is_active`, `is_menu`, `menu`, `phrase_var_name`) VALUES ('chat', 'phpfox_123flashchat', 0, 1, 1, 'a:2:{s:29:\"chat.admin_menu_chat_settings\";a:1:{s:3:\"url\";a:1:{i:0;s:4:\"chat\";}}s:32:\"chat.admin_menu_chat_admin_panel\";a:1:{s:3:\"url\";a:2:{i:0;s:4:\"chat\";i:1;s:5:\"admin\";}}}', 'module_chat');";
if (!$db -> query($insert))
{
	echo 'Create module failure.';
	exit;
}

$table = Phpfox::getT('component');
$insert = "INSERT INTO " . $table . " (`component`, `m_connection`, `module_id`, `product_id`, `is_controller`, `is_block`, `is_active`) VALUES ('index', 'chat.index', 'chat', 'phpfox_123flashchat', 1, 0, 1), ('chatroom', 'chat.chatroom', 'chat', 'phpfox_123flashchat', 1, 0, 1), ('dashboard', NULL, 'chat', 'phpfox_123flashchat', 0, 1, 1);";
if (!$db -> query($insert))
{
	echo 'Create Component failure.';
	exit;
}

$table = Phpfox::getT('block');
$insert = "INSERT INTO " . $table . " (`m_connection`, `module_id`, `product_id`, `component`, `location`, `is_active`, `ordering`, `disallow_access`, `can_move`, `version_id`) VALUES ('core.index-visitor', 'chat', 'phpfox_123flashchat', 'dashboard', 1, 1, 1, NULL, 1, '2'), ('core.index-member', 'chat', 'phpfox_123flashchat', 'dashboard', 1, 1, 11, NULL, 1, '2');";
if (!$db -> query($insert))
{
	echo 'Create Block failure.';
	exit;
}

$table = Phpfox::getT('language_phrase');
$insert = "INSERT INTO " . $table . " (`language_id`, `module_id`, `product_id`, `version_id`, `var_name`, `text`, `text_default`, `added`) VALUES ('en', 'chat', 'phpfox_123flashchat', '2.0.0rc1', 'admin_menu_chat_settings', 'Chat Settings', 'Chat Settings', 1283970306),
('en', 'chat', 'phpfox_123flashchat', '2.0.0rc1', 'admin_menu_chat_admin_panel', 'Chat Admin Panel', 'Chat Admin Panel', " . date('U') . "),
('en', 'chat', 'phpfox_123flashchat', '2.0.0rc1', 'module_chat', 'Add chat module.', 'Add chat module.', " . date('U') . "),
('en', 'chat', 'phpfox_123flashchat', '2.0.0rc1', 'menu_123_flash_chat', '123 Flash Chat', '123 Flash Chat', " . date('U') . ");";
if (!$db -> query($insert))
{
	echo 'Insert Phrase failure.';
	exit;
}

$table = Phpfox::getT('menu');
$insert = "INSERT INTO " . $table . " (`parent_id`, `page_id`, `m_connection`, `module_id`, `product_id`, `var_name`, `is_active`, `ordering`, `url_value`, `disallow_access`, `version_id`) VALUES (0, 0, 'main', 'chat', 'phpfox_123flashchat', 'menu_123_flash_chat', 1, 90, 'chat', NULL, '2.0.0rc1');";
if (!$db -> query($insert))
{
	echo 'Create Menu failure.';
	exit;
}
echo 'Install seccessfully.';

?>